<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : cv10_style.xsl
    Created on : 6. prosinec 2010, 12:19
    Author     : st22312
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html" encoding="windows-1250" omit-xml-declaration="no"/>
    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
<!--
"ADRESA[@id='2']" získá ADRESU s elementem id a hodnotou 2
//SHOPITEM[2]/PRODUCT získá 2. prvek z shopitem
-->
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="/SHOP/NAME"/>
                </title>
            </head>
            <body>
                <h1>
                    <xsl:value-of select="/SHOP/NAME"/>
                </h1>
                <h2>
                    <xsl:value-of select="/SHOP/ADRESA"/>
                </h2>
                <ul>
                    <li>IČO:
                        <xsl:value-of select="/SHOP/ICO"/>
                    </li>
                    <li>DIČ:
                        <xsl:value-of select="/SHOP/DIC"/>
                    </li>
                    <li>
                        <a>
                            <xsl:attribute name="href">
                                <xsl:value-of select="/SHOP/HTTP"/>
                            </xsl:attribute>
                            <xsl:value-of select="/SHOP/HTTP"/>
                        </a>
                    </li>
                    <li>
                        <a>
                            <xsl:attribute name="href">
                                <xsl:value-of select="/SHOP/HTTP"/>
                            </xsl:attribute>
                            <xsl:value-of select="/SHOP/HTTP"/>
                        </a>
                    </li>
                </ul>

                <table>
                    <xsl:apply-templates select="/SHOP/SHOPITEM"/>
                </table>
                <table border="1">
                    <xsl:for-each select="/SHOP/SHOPITEM">
                        <tr>
                            <xsl:for-each select=".">
                                <td>
                                    <xsl:value-of select="."/>
                                </td>
                            </xsl:for-each>
                        </tr>
                    </xsl:for-each>
                </table>

                <table border="1">
                    <xsl:for-each select="/SHOP/SHOPITEM">
                        <tr>
                            <xsl:apply-templates select="./PRODUCT"/>
                            <xsl:apply-templates select="./IMGURL"/>
                            <xsl:apply-templates select="./PRICE"/>
                        </tr>
                    </xsl:for-each>
                </table>

            </body>
        </html>
    </xsl:template>



    <xsl:template match="/SHOP/SHOPITEM">
        <tr>
            <xsl:apply-templates select="./PRODUCT"/>
            <xsl:apply-templates select="./PRICE"/>
        </tr>
    </xsl:template>
    <xsl:template match="/SHOP/SHOPITEM/PRODUCT">
        <xsl:element name="td">
            <!-- <xsl:attribute name="style">color:blue</xsl:attribute> -->
            <xsl:if test="not(string(/SHOP/SHOPITEM/AUTOR))">
                <xsl:attribute name="style">color:red</xsl:attribute>
            </xsl:if>
            <xsl:value-of select="."/>
        </xsl:element>
    </xsl:template>
    <xsl:template match="/SHOP/SHOPITEM/PRICE">
        <xsl:element name="td">
            <xsl:if test="number(.) > 100">
                <xsl:attribute name="style">color:red</xsl:attribute>
            </xsl:if>
            <xsl:value-of select="."/>
        </xsl:element>
    </xsl:template>
    <xsl:template match="/SHOP/SHOPITEM/IMGURL">
        <xsl:element name="td">
            <xsl:element name="img">
                <xsl:attribute name="src">
                    <xsl:value-of select="."/>
                </xsl:attribute>
            </xsl:element>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>
